@import "./normalize.min.css";
@import './variables.css';

*{
  box-sizing: border-box;
  font-family: 'Arial', sans-serif;
  margin: 0;
  }


h1, h2, h3, h4, h5, h6 {
  margin: 0;
  font-weight: normal;
}

a {
  text-decoration: none;
  color: #000;
}

ul {
  font-size: 0;
  list-style: none;
  padding: 0;
  padding-inline-start: 0;
}

html {
  color: #222;
  font-size: 1em;
  line-height: 1.4;
}

body {
  position: relative;
  background: linear-gradient(to bottom, #e3eaefe6, #e2e9ee 7%, #ffffff 20%), url(../img/bacground/world_map.png);
  background-position: top;
  background-size: inherit;
  background-repeat: no-repeat;
}
/* --------------------------------------------------------- */

/* gradients-styles --- START*/

.main_block-grad {
  display: block;
  position: absolute;
  width: 100%;
  top: 0;
  left: 0;
  background: linear-gradient(to bottom, #e8eef2e5 0%, #fefefe 75%);
  height: 400px;
  z-index: -1;
}

.main_block-grad:after {
  content: "";
  position: absolute;
  top: 0;
  width: 100%;
  height: 340px;
  background: linear-gradient(180deg, rgba(200,207,212,0.9) 0%, transparent 30%);
}

.main_block-grad--lateral {
  content: "";
  position: absolute;
  top: 0;
  z-index: 2;
  width: 100%;
  height: 220px;
  background: linear-gradient(to bottom, #ffffff 0%, transparent 34%);
}

/* gradients-styles --- END*/


.main_wrapper {
  max-width: 980px;
  margin: 0 auto;
}

.header {
  width: 980px;
  margin: auto;
  height: 130px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

/* header-logo styles */

.header_logo {
  position: relative;
}

.header_logo:before {
  content: '';
  background-image: url(../img/other_icons/logo.svg);
  background-repeat: no-repeat;
  position: absolute;
  width: 48px;
  height: 42px;
  display: inline-block;
  top: 4px;
  left: -3px;
}

.logo_text {
  margin-left: 25px;
  font-size: 37px;    
  letter-spacing: -1.7px;
}

/* header-nav styles */

.head_nav {
  margin-right: 34px;
}

.nav_list {
  display: flex;
}

.nav_elements {
  position: relative;
  margin-right: 23px;

  display: flex;
  align-items: center;

  font-size: 13px;
}

.nav_elements:last-child {
  margin: 0;
}

.nav_elements a {
  text-decoration: none;
  display: inline-block;
  height: 100%;
  width: 100%;
}

.nav_elements a:hover {
  color: var(--text-hover-color);

}


/* hover-list styles */

.hover_list {
  display: none;
}

.hover_list {
  z-index: 5;
  position: absolute;
  right: calc(50% - 79px);
  padding-top: 6px;
  top: 14px;
  min-width: 148px;
}

.hover_list:after {
  content: '';
  width: 12px;
  height: 8px;
  background-color: var(--menu-lists-bg-color);
  position: absolute;
  top: calc(0px + 5px);
  right: calc(50% - 6px);
  transform: rotate(45deg);
}

.hover_list li {
  background-color: var(--menu-lists-bg-color);
  position: relative;
  cursor: pointer;
  
  vertical-align: middle;
  height: 31px;
  width: 150px;
  border-bottom: 1px solid #232425;
}

.hover_link_nav + ul a {
  padding-left: 15px;
}

.hover_list-link {
  line-height: 29.5px;
  color: #9ca0a2;
  font-size: 12px;
}

.hover_list li:hover .hover_list-link{
  color: #ffffff;
}

.hover_list_wrap:hover .hover_list{
  display: block;
}

/* addditional list styles */

.additional_list {
  display: none;
  background-color: var(--menu-lists-bg-color);
  position: absolute;
  top: 0;
  right: -152px;
}

.additional_list a {
  line-height: 29.5px;
  color: #9ca0a2;
  font-size: 12px;
}

.additional_list li:hover a {
  color: #ffffff;
}

.active_head_li {
  position: relative;
}

.active_head_li:hover:after {
  content: '';
  width: 6px;
  height: 6px;
  background-color: var(--menu-lists-bg-color);
  position: absolute;
  top: calc(50% - 3px);
  right: -2px;
  transform: rotate(45deg);
}

.active_head_li:hover .additional_list {
  display: block;
}

.additional_list li:first-child:after {
  content: '';
  width: 6px;
  height: 6px;
  background-color: #fff;
  position: absolute;
  top: calc(50% - 3px);
  left: -3px;
  transform: rotate(45deg);
}

/* -------- ANOTHER-CONTENT ------------ */


.banner_wrap {
  border-top: 6px solid var(--border-color);
  display: flex;
}

.banner_photo_wrap {
  height: 128px;
}

.banner_photo {
  max-width: 245px;
}

.banner_info {
  padding: 20px 31px 0 34px;
  width: 100%;
  background-color: #ad3b43;
  position: relative;
  height: 128px;

  display: flex;
}

.banner_info-head {
  min-width: 200px;
  margin-right: 36px;
  font-size: 24px;
  line-height: 28px;
  letter-spacing: -0.6px;
  color: #edf2f5;

}

.banner_info-text {
  font-size: 12px;
  line-height: 19px;
  color: #222222;
}

/* banner-switch */

.banner_info-switch {
  position: absolute;
  bottom: 20px; 
  right: 30px;
}

.banner_info-switch--past, .banner_info-switch--next {
  text-decoration: none;
}

.banner_info-switch--next {
  margin-left: 13px;
}

/* -------- MAIN_CONTENT ------------- */

.main_content {
  display: flex;
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

/* --------- DROP MENU */

.aside_menu {
  padding-top: 42px;
  width: 243px;
}

.drop_head {
  background-image: url(../img/other_icons/line145.png);
  display: flex;
  align-items: center;
  padding-left: 15px;
  border-bottom: 1px solid var(--border-drop-menu-color);
}

.drop_head--text {
  color: #212121;
  font-size: 18px;
  line-height: 41px;
}

/* drop_menu */

.drop_menu_elem {
  position: relative;
}

.drop_menu_elem--link {
  padding-left: 17px;
  line-height: 38px;
  height: 40px;
  display: block;
  border-bottom: 1px solid var(--border-drop-menu-color);

  font-size: 12px;
  color: var(--text-small-color);

  transition: linear 0.1s;
}

.drop_menu_elem--link:hover {
  color: var(--text-hover-color);
}

/* drop_menu --- HIDE  */

.drop_menu_elem--link {
  position: relative;
}

/* .drop_menu_elem .hide_link:after, .hide_active:after {
  content: '';
  width: 7px;
  height: 4px;
  background-image: url(../img/other_icons/arrow-sidebar.png);

  position: absolute;
  top: calc(50% - 2px);
  transform: rotate(-90deg);
  right: 15px;

  transition: linear 0.1s;
} */

#hide_link_checkbox:after,
#hide_link_check:after,
#hidden_checkbox:after,
#hidden_checkbox_second:after {
  content: '';
  width: 7px;
  height: 4px;
  background-image: url(../img/other_icons/arrow-sidebar.png);

  position: absolute;
  transform: rotate(-90deg);
  top: 20px;
  right: 15px;

  transition: linear 0.1s;
}

#hide_link_checkbox:checked:after,
#hide_link_check:checked:after,
#hidden_checkbox:checked:after,
#hidden_checkbox_second:checked:after {
  transform: rotate(0);
}

.hidden_elem:before {
  content: '';
  width: 7px;
  height: 4px;
  background-image: url(../img/other_icons/arrow-sidebar.png);

  position: absolute;
  top: calc(50% - 4px);
  transform: rotate(-90deg);
  left: 40px;

  transition: linear 0.1s;
}


label {
  cursor: pointer;
}

input[type='checkbox'] {
  display: block;
  height: 0;
}

#hide_link_checkbox + .drop_menu,
#hide_link_check + .drop_menu,
#hidden_checkbox + .hidden_drop_menu,
#hidden_checkbox_second + .hidden_drop_menu {
  display: none;
}

#hide_link_checkbox:checked + .drop_menu,
#hide_link_check:checked + .drop_menu,
#hidden_checkbox:checked + .hidden_drop_menu,
#hidden_checkbox_second:checked + .hidden_drop_menu {
  display: block;
}

.drop_menu_elem .hide_link:after {
  transform: rotate(0);
}


/* -------------------------------------------------------- */

.hide_link-elem {
  padding-left: 38px;
  background-color: #f4f7f8;
}

.hidden_elem {
  padding: 0 0 0 60px;
  background-color: #eaeaea;
  border-bottom: 1px solid #d5d5d5;
}

/* --------------- ARTICLES  */

.text_articles {
  width: calc(980px - 245px);
  padding-left: 36px;
  border-left: 1px solid rgba(0, 0, 0, 0.1);
}

.article_wrap {
  padding: 22px 25px 20px 0;
  border-bottom: 1px solid #ebecec;
}

.article_wrap:first-child {
  padding-top: 29px;
}

.article_wrap:last-child {
  padding: 26px 0 23px 0;
  border-bottom: none;
}

.article_wrap-head {
  position: relative;
  display: flex;
}

.article_wrap-head_text {
  width: 490px;
  line-height: 31px;
  letter-spacing: -0.6px;

  font-size: 24px;
  color: #3d3d3d;
}

.article_wrap-text {
  font: italic 15px/21px 'Arial', sans-serif;
  color: #909293;
  text-align: justify;
}

header.article_wrap {
  position: relative;
}

.article_wrap-head_date {
  background-image: url(../img/other_icons/lines79-79.png);
  text-align: center;
  position: absolute;
  right: 0;
  bottom: 0;

  width: 79px;
  height: 79px;

  display: flex;
  justify-content: center;
  flex-direction: column;
}

.date_text-num {
  margin-bottom: 4px;

  font-size: 17px;
  font-weight: bold;
  color: var(--text-small-color);

  opacity: 0.4;
}

.date_text-month {
  font-size: 10px;
  line-height: 11px;
  color: #939799;
  opacity: 0.5;
}

/* article-deployment */

.article_deployment-head {
  color: #ae3b44;
  font-size: 15px;
  font-weight: 400;
  margin-bottom: 18px;
}

.article_deployment-text {
  font-size: 12px;
  line-height: 19px;
  letter-spacing: normal;
  color: var(--text-small-color);
  text-align: justify;
}

.picture_deployment {
  padding: 0 99px 0 83px;
  margin-bottom: 31px;
}

.picture_deployment-image {
  max-width: 490px;
  border-bottom: 7px solid var(--border-color);
}

.picture_deployment--alt {
  text-align: center;
  display: block;

  font-size: 11px;
  color: var(--text-small-color);
  opacity: 0.5;
  line-height: 19px;
}

.article_deployment-image--left {
  float: left;
  padding: 31px 33px 30px 0;
}

.article_deployment-image--left img {
  max-width: 270px;
  border-bottom: 7px solid var(--border-color);
}

/* buttons article_wrap */

.article_buttons_wrap {
    display: flex;
    justify-content: space-between;
}

.article_button-prev, .article_button-next{
  color: #ae3b44;
  font-size: 15px;
  line-height: 18px;
}

.article_button-prev:hover, .article_button-next:hover {
  color: black;
}

.article_button-prev::before, .article_button-next::after {
  content: '';
  width: 14px;
  height: 14px;
  background-image: url(../img/other_icons/strelkavbublike.png);
  display: inline-block;
  vertical-align: middle;
}

.article_button-prev::before {
  margin-right: 16px;
}

.article_button-next::after {
  margin-left: 12px;
  transform: rotate(180deg);
}

/* --------------- CLIENTS ------------------- */

.clients_logo-wrap {
  min-height: 94px;
  display: flex;
  align-items: center;
  padding: 0 25px;
}

.clients_logo-list {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-around;
}

.clients_logo-list--header {
  width: 18%;
  font-size: 18px;
  color: #212121;
}

.clients_logo-list--element {
  filter: grayscale(1);
  transition: linear 0.2s;
}

.clients_logo-list--element:hover {
  filter: grayscale(0);
}

/* --------------- FOOTER ------------------ */

.main_footer {
  background-color: #f8f7f7;
  border-top: 1px solid var(---border-color);
  box-shadow: inset 0px 5px 3px -6px rgba(0,0,0,0.75);
}


/* footer_list */
.footer_list {
  display: flex;
  justify-content: start;
  padding: 20px 20px 26px;
  width: 980px;
  margin: 0 auto;
}

.footer_list-element {
  margin-right: 93px;
}

.footer_list-element:last-child {
  margin: 0;
}

.footer_list-head {
  opacity: 0.5;
  color: #393939;
  font-size: 15px;
  font-weight: 400;
  margin-bottom: 19px;
}

/* columns_list */
.columns_list {
  display: flex;
}

.columns_list-elements {
  min-width: 72px;
  margin-right: 80px;
}

.columns_list-elements:last-child {
  margin-right: 0px;
}

/* links_list */
.links_list-element {
  font-size: 12px;
  line-height: 19px;
  opacity: 0.3;
  color: #393939;

  transition: linear 0.1s;
}

.links_list-element:hover {
  color: black;
  opacity: 0.6;
}

/* ------- socials-list */

.links_list-social {
  margin-right: 6px;
  width: 24px;
  height: 24px;
  display: inline-block;
}

/* socials-icons */
.links_list-social--twitter {
  background-image: url(../img/social_icons/color/twitterColor.png);
}

.links_list-social--facebook {
  background-image: url(../img/social_icons/color/facebookColor.png);
}

.links_list-social--linkedin {
  background-image: url(../img/social_icons/color/linkedinColor.png);
}

.links_list-social--rss {
  background-image: url(../img/social_icons/color/rssColor.png);
}

.links_list-social--twitter,
.links_list-social--facebook,
.links_list-social--linkedin,
.links_list-social--rss {
  filter: grayscale(1);
  transition: ease-out 0.2s;
}


.links_list-social--twitter:hover,
.links_list-social--facebook:hover,
.links_list-social--linkedin:hover,
.links_list-social--rss:hover {
  filter: grayscale(0);
}

/* copyright */
.copyright_block {
  margin-top: 5px;

  opacity: 0.3;
  color: #393939;
  font-weight: 400;
  font-size: 11px;
}
